# Componere\Definition::addProperty

(Componere 2 >= 2.1.0)

Componere\Definition::addProperty — Ajoute une propriété

### Description

public Componere\Definition::addProperty(string `$name`, Componere\Value `$value`): Definition

Déclare une propriété de classe sur la définition actuelle

### Liste de paramètres

`name`

  Le nom sensible à la casse de la propriété

`value`

  La valeur par défaut de la propriété.

### Valeurs de retour

La définition actuelle

### Exceptions

Avertissement

Lance une RuntimeException si la Definition a été enregistrée

Avertissement

Lance une RuntimeException si `name` est déjà déclaré comme propriété